#include <stdio.h>
#include "touch.h"

int main(int argc, char **argv) {
    Touch invalid;
    Touch valid1(1, 0, 0, 0, 0, 0, 0, TouchBegin);
    Touch valid2(INVALID_TOUCH_ID, 0, 0, 0, 0, 0, 0, TouchBegin);
    Touch valid3(1, 0, 0, 0, 0, 0, 0, TouchUnknown);

    if(!invalid.is_invalid()) {
        printf("Default touch object is valid even though it should not be.\n");
        return 1;
    }

    if(valid1.is_invalid()) {
        printf("Valid1 is invalid.\n");
        return 1;
    }

    if(valid2.is_invalid()) {
        printf("Valid2 is invalid.\n");
        return 1;
    }

    if(valid3.is_invalid()) {
        printf("Valid3 is invalid.\n");
        return 1;
    }
}
